#
# spec file for package wdiff (Version 0.5.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         wdiff
Copyright:    GPL
Group:        Applications/File 
Provides:     wdiff 
Autoreqprov:  on
Version:      0.5.2
Release:      197
Summary:      Display word differences between text files
Source:       wdiff-%{version}.tar.bz2
Patch:        wdiff-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
wdiff compares two files, finding which words have been
deleted or added to old_file to get new_file. A word is
anything between whitespace.
Xwdiff is an handy x frontend, based on Tcl/Tk.

Authors:
--------
    Francois Pinard <pinard@iro.umontreal.ca>
    Hans Lermen <lermen@fgan.de>

SuSE series: ap

%prep
%setup
%patch

%build
%{suse_update_config -f}
aclocal
automake -a
autoconf
LIBS=-lncurses \
CFLAGS="$RPM_OPT_FLAGS -pipe -DLERMEN_STUFF" \
LDFLAGS="-s -static" \
GETOPT="" \
./configure \
   --prefix=/usr \
   --mandir=%{_mandir} \
   --infodir=%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
install -m 755 src/xwdiff $RPM_BUILD_ROOT/usr/bin

%files
%defattr(-,root,root)
%doc BACKLOG ChangeLog NEWS README* THANKS TODO ABOUT-NLS AUTHORS COPYING 
%{_infodir}/wdiff.info*
/usr/bin/*
/usr/share/locale/*/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n wdiff
* Wed May 23 2001 - cihlar@suse.cz
- fixed includes
* Tue Mar 20 2001 - cihlar@suse.cz
- fixed to compile on axp
* Wed Jan 03 2001 - cihlar@suse.cz
- fixed wdiff --help
* Mon Nov 27 2000 - cihlar@suse.cz
- fixed installation of xwdiff
* Mon Nov 20 2000 - cihlar@suse.cz
- fixed copyright
- bzipped sources
- added suse_update_config
* Thu May 18 2000 - cihlar@suse.cz
- upgrade to 0.5.2
* Tue Apr 11 2000 - cihlar@suse.cz
- added BuildRoot
- removed Makefile.Linux
* Tue Jan 25 2000 - ro@suse.de
- move info,man to usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 03 1998 - ro@suse.de
- catch strstr-macro for glibc
* Tue Aug 11 1998 - ke@suse.de
- add Hans Lermen's xwdiff, a Tcl/Tk based frontend.
* Tue Jul 07 1998 - ro@suse.de
- added patches from gnu.utils.bug (mainly don't fclose(NULL))
* Fri Jun 19 1998 - ro@suse.de
- added patches from hans lermen
* Fri Jun 19 1998 - ro@suse.de
- initial package using diff from jurix mirror
